server {
    listen 80;
    server_name ccdw.xyz www.ccdw.xyz;
    
    access_log /www/wwwlogs/ccdw.xyz.log;
    error_log /www/wwwlogs/ccdw.xyz.error.log;

    location / {
        proxy_pass http://127.0.0.1:3001;
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
}
